> ## Documentation Index
> Fetch the complete documentation index at: https://docs.givebutter.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get a message



## OpenAPI

````yaml https://givebutter.com/docs/api.json get /v1/messages/{message}
openapi: 3.1.0
info:
  title: Givebutter API Documentation
  version: 1.0.0
  description: >-
    Givebutter Public API - Access and manage your campaigns, contacts,
    transactions, and more.
servers:
  - url: https://api.givebutter.com/
security:
  - http: []
paths:
  /v1/messages/{message}:
    get:
      tags:
        - Messages
      summary: Get a message
      operationId: messages.show
      parameters:
        - name: message
          in: path
          required: true
          description: The message ID
          schema:
            type: integer
      responses:
        '200':
          description: '`MessageResource`'
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/MessageResource'
        '404':
          $ref: '#/components/responses/ModelNotFoundException'
components:
  schemas:
    MessageResource:
      type: object
      properties:
        id:
          type: string
        status:
          type: string
        channel:
          type: string
        internal_name:
          type: string
        subject:
          type: string
        body:
          type: string
        recipient_filters:
          type: string
        recipient_count:
          type: string
        sent_at:
          type: string
        sending_at:
          type: string
        created_at:
          type: string
        updated_at:
          type: string
      required:
        - id
        - status
        - channel
        - internal_name
        - body
        - recipient_filters
        - recipient_count
        - sent_at
        - sending_at
        - created_at
        - updated_at
      title: MessageResource
  responses:
    ModelNotFoundException:
      description: Not found
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message
  securitySchemes:
    http:
      type: http
      scheme: bearer

````